Skip to main content
PUT
/
schedule
/
v1
/
vacation-configurations
/
{vacationConfigurationId}
Updates a vacation configuration
curl --request PUT \
  --url https://api-{region}.sesametime.com/schedule/v1/vacation-configurations/{vacationConfigurationId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "creationDateNextYear": "<string>",
  "needsValidation": true,
  "employeeRequestDenyExcessDaysOff": true,
  "hoursQuantityConfigured": true,
  "allowFreeHoursSelection": true,
  "employeeRequestEnabled": true,
  "requestVacationFrom": "<string>",
  "maxDaysOff": 123,
  "maxDateToTakeVacations": 123,
  "enjoyMonthPeriod": 123,
  "notAllowedDateRanges": [
    {
      "from": "<string>",
      "to": "<string>"
    }
  ],
  "year": 123
}
'
import requests

url = "https://api-{region}.sesametime.com/schedule/v1/vacation-configurations/{vacationConfigurationId}"

payload = {
"name": "<string>",
"creationDateNextYear": "<string>",
"needsValidation": True,
"employeeRequestDenyExcessDaysOff": True,
"hoursQuantityConfigured": True,
"allowFreeHoursSelection": True,
"employeeRequestEnabled": True,
"requestVacationFrom": "<string>",
"maxDaysOff": 123,
"maxDateToTakeVacations": 123,
"enjoyMonthPeriod": 123,
"notAllowedDateRanges": [
{
"from": "<string>",
"to": "<string>"
}
],
"year": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
creationDateNextYear: '<string>',
needsValidation: true,
employeeRequestDenyExcessDaysOff: true,
hoursQuantityConfigured: true,
allowFreeHoursSelection: true,
employeeRequestEnabled: true,
requestVacationFrom: '<string>',
maxDaysOff: 123,
maxDateToTakeVacations: 123,
enjoyMonthPeriod: 123,
notAllowedDateRanges: [{from: '<string>', to: '<string>'}],
year: 123
})
};

fetch('https://api-{region}.sesametime.com/schedule/v1/vacation-configurations/{vacationConfigurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vacationConfigurationId
string<uuid>
required

Vacation Configuration ID

Body

application/json
name
string
required
dayType
enum<string>
required
Available options:
business_day,
calendar_day
creationDateNextYear
string
required
needsValidation
boolean
required
employeeRequestDenyExcessDaysOff
boolean
required
hoursQuantityConfigured
boolean
required
allowFreeHoursSelection
boolean
required
employeeRequestEnabled
boolean
required
configurationType
enum<string>
required
Available options:
max_days,
seniority_days,
unlimited_days
requestVacationFrom
string<Y-m>
renewalPeriod
enum<string>
Available options:
working_year,
calendar_year,
each_month
maxDaysOff
number<integer>
maxDateToTakeVacations
number<integer>
halfDayVacationConfiguration
enum<string>
Available options:
weekly_average,
daily_average
enjoyMonthPeriod
number<integer>
notAllowedDateRanges
object[]
year
number<int>

Response

204 - undefined